#!/bin/bash

command -v jar uf > /dev/null || { 
  echo "JAR: command not found or JAR is not recognized as internal external command."; 
  echo "Please refer http://cart.optimizory.com/rmsis/faq for more details."; 
  echo "***** RMSIS NOT CONFIGURED PROPERLY *****"; 
  read -p "Press any key to exit";
  exit 1; 
}

echo -e -n "Please enter the full absolute path (relative paths are not \nallowed) of RMsis home directory \n(If you have not created RMsis home directory then create a \nnew one, RMsis will store some configuration files (database, \nmail configuration files etc.), backups and some other data \nin that directory) e.g. /home/username/rmsis\nrmsis-setup >"

while read rmsisHome
do
  if [ -z "$rmsisHome" ] || [ ! -d "${rmsisHome}" ]
  then
    if [ ! -z "$rmsisHome" ] && [ ! -d "${rmsisHome}" ]
    then
      echo -e -n "RMsis home directory doesn't exists !! \nPlease enter again :\nrmsis-setup >"
    fi
  else 
    break
  fi
done
rmsisHome=${rmsisHome%/}
echo "RMsis home directory: ${rmsisHome}"

# copy sample jdbc.properties file to rmsisHome directory if not exists already in rmsisHome directory
if [ ! -f ${rmsisHome}/jdbc.properties ]
then 
  echo "Copying jdbc.properties file to ${rmsisHome}/ ..."
  cp sample-conf/jdbc.properties ${rmsisHome}/.
fi

# copy sample mail.properties file to rmsisHome directory if not exists already in rmsisHome directory
if [ ! -f ${rmsisHome}/mail.properties ]
then 
  echo "Copying mail.properties file to ${rmsisHome}/ ..."
  cp sample-conf/mail.properties ${rmsisHome}/.
fi

# create logs directory in rmsisHome directory
mkdir -p ${rmsisHome}/logs

# update rmsis war file with rmsisHome path
mkdir -p WEB-INF/classes

touch WEB-INF/classes/app.properties

echo "rmsisHome=${rmsisHome}" > WEB-INF/classes/app.properties


echo "Configuring RMsis home directory path in rm.war file ..."
jar uf rm.war ./WEB-INF/classes/app.properties

rm -rf WEB-INF

echo "rm.war file successfully updated"
